List External Cards
curl --request GET \
--url https://api-sandbox.synctera.com/v0/external_cards \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.synctera.com/v0/external_cards"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.synctera.com/v0/external_cards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"external_cards": [
{
"currency": "USD",
"customer_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"expiration_month": "06",
"expiration_year": "25",
"id": "<string>",
"last_four": "1234",
"name": "Jean Valjean",
"status": "ACTIVE",
"bin": "<string>",
"created_time": "2010-05-06T12:23:34.321Z",
"deletion_time": "2010-05-06T12:23:34.321Z",
"issuer": "<string>",
"last_modified_time": "2010-05-06T12:23:34.321Z",
"verifications": {
"address_verification_result": "ADDRESS_AND_ZIP_MISMATCH",
"cvv2_result": "CVV_MISMATCH",
"name_verification_result": "NAME_MISMATCH",
"pull_enabled": true,
"push_enabled": true,
"state": "FAILED",
"pull_details": {
"country": "US",
"currency": "USD",
"network": "<string>",
"product_type": "CREDIT",
"regulated": true
},
"push_details": {
"country": "US",
"currency": "USD",
"funds_availability": "FEW",
"network": "<string>",
"product_type": "CREDIT",
"regulated": true
}
}
}
],
"next_page_token": "a8937a0d"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}External Cards
List External Cards
Get a paginated list of External Cards
GET
/
external_cards
List External Cards
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Case sensitive wildcard search for name, wildcards can be specified with '*'. Wildcards at both the start and the end of the input is assumed.
Status of an External Card
Available options:
ACTIVE, DELETED, SUSPENDED Status of an External Card
Available options:
ACTIVE, DELETED, SUSPENDED The id of the tenant containing the resource. This is relevant for Fintechs that have multiple workspaces.
Optional pagination token to be provided to retrieve subsequent pages, returned from previous get
Example:
"a8937a0d"
Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.
Required range:
x >= 1Example:
100
Was this page helpful?

